Subject: Re: "Use slab_build_skb() instead" deprecation warning triggered by tg3

From: Kees Cook <[email-masked]>
Date: Fri, 18 Aug 2023 10:37:36 -0700

On Fri, Aug 18, 2023 at 06:12:33PM +0700, Bagas Sanjaya wrote:
> On Fri, Aug 18, 2023 at 10:05:11AM +0200, Fiona Ebner wrote:
> > Hi,
> > we've got a user report about the WARN_ONCE introduced by ce098da1497c
> > ("skbuff: Introduce slab_build_skb()") [0]. The stack trace indicates
> > that the call comes from the tg3 module. While this is still kernel 6.2
> > and I can't verify that the issue is still there with newer kernels, I
> > don't see related changes in drivers/net/ethernet/broadcom/tg3.* after
> > ce098da1497c, so I thought I should let you know.
> > 
> 
> Thanks for the regression report. I'm adding it to regzbot:
> 
> #regzbot ^introduced: ce098da1497c6d
> #regzbot link: https://forum.proxmox.com/threads/132338/
> 
> PS: The proxmox forum link (except full dmesg log pasted there) is in
> German, so someone fluent in the language can be helpful here.

Since this doesn't cause a behavioral regression, should it be tracked
by regzbot? The WARN is serving as a reminder to the maintainer to
adjust the allocation method.

-- 
Kees Cook